Package org.apache.sysds.runtime.compress.workload

## Class OpSided

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.Op
  - - org.apache.sysds.runtime.compress.workload.OpSided

    public class OpSided
    extends Op

### Constructor Summary

Constructors
`OpSided​(Hop op, boolean cLeft, boolean cRight, boolean tLeft, boolean tRight)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getLeft()`
`boolean` `getRight()`
`boolean` `getTLeft()`
`boolean` `getTRight()`
`boolean` `isCompCompMM()`
`boolean` `isCompressedOutput()`
`boolean` `isLeftMM()`
`boolean` `isRightMM()`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.Op

`dim, getHop, isDecompressing, isDensifying, isOverlapping, setDecompressing, setDensifying, setOverlapping`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OpSided

    public OpSided​(Hop op,
                   boolean cLeft,
                   boolean cRight,
                   boolean tLeft,
                   boolean tRight)

### Method Detail

#### getLeft

    public boolean getLeft()

#### getRight

    public boolean getRight()

#### getTLeft

    public boolean getTLeft()

#### getTRight

    public boolean getTRight()

#### toString

    public String toString()

Overrides:
  `toString` in class `Op`

#### isLeftMM

    public boolean isLeftMM()

#### isRightMM

    public boolean isRightMM()

#### isCompCompMM

    public boolean isCompCompMM()

#### isCompressedOutput

    public boolean isCompressedOutput()

Overrides:
  `isCompressedOutput` in class `Op`